<?php

/*
Plugin Name: AJAX Search GA Tracking
Description: GA site search tracking for ajax search forms
Version: 1.00
Author: ILLID
Author URI: https://advanced-woo-search.com/
Text Domain: ajax-search-ga-tracking
*/


if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! class_exists( 'AJAX_Search_GA_Tracking' ) ) :

    /**
     * Main plugin class
     *
     * @class AJAX_Search_GA_Tracking
     */
    final class AJAX_Search_GA_Tracking {

        /**
         * @var AJAX_Search_GA_Tracking The single instance of the class
         */
        protected static $_instance = null;

        /**
         * Main AJAX_Search_GA_Tracking Instance
         *
         * Ensures only one instance of AJAX_Search_GA_Tracking is loaded or can be loaded.
         *
         * @static
         * @return AJAX_Search_GA_Tracking - Main instance
         */
        public static function instance() {
            if ( is_null( self::$_instance ) ) {
                self::$_instance = new self();
            }
            return self::$_instance;
        }

        /**
         * Constructor
         */
        public function __construct() {
            add_action( 'wp_enqueue_scripts', array( $this, 'load_scripts' ) );
        }

        /*
         * Load assets for search form
         */
        public function load_scripts() {
            wp_enqueue_script( 'ajax-search-ga-tracking', plugin_dir_url( __FILE__ ) . '/ajax-search-ga-tracking.js', array('jquery'), '1.00', true );
        }

    }
    
endif;


AJAX_Search_GA_Tracking::instance();